Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class DatRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.DatRecord

public class DatRecord
extends Record

The dat record is used to store options for the chart. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`DatRecord()`
`DatRecord(short id, short size, byte[] data)` Constructs a Dat record and sets its fields appropriately.
`DatRecord(short id, short size, byte[] data, int offset)` Constructs a Dat record and sets its fields appropriately.

Method Summary
`java.lang.Object` | `clone()`
`protected void` | `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` | `getOptions()` Get the options field for the Dat record.
`int` | `getRecordSize()` Size of record (exluding 4 byte header)
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `isBorder()` data table has a border
`boolean` | `isHorizontalBorder()` has a horizontal border
`boolean` | `isShowSeriesKey()` shows the series key
`boolean` | `isVerticalBorder()` has vertical border
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` | `setBorder(boolean value)` Sets the border field value.
`void` | `setHorizontalBorder(boolean value)` Sets the horizontal border field value.
`void` | `setOptions(short field_1_options)` Set the options field for the Dat record.
`void` | `setShowSeriesKey(boolean value)` Sets the show series key field value.
`void` | `setVerticalBorder(boolean value)` Sets the vertical border field value.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)
`protected void` | `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### DatRecord

    public DatRecord()

### DatRecord

    public DatRecord(short id,
                     short size,
                     byte[] data)

  Constructs a Dat record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1063 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### DatRecord

    public DatRecord(short id,
                     short size,
                     byte[] data,
                     int offset)

  Constructs a Dat record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1063 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getOptions

    public short getOptions()

  Get the options field for the Dat record.

### setOptions

    public void setOptions(short field_1_options)

  Set the options field for the Dat record.

### setHorizontalBorder

    public void setHorizontalBorder(boolean value)

  Sets the horizontal border field value. has a horizontal border

### isHorizontalBorder

    public boolean isHorizontalBorder()

  has a horizontal border

  Returns:
    the horizontal border field value.

### setVerticalBorder

    public void setVerticalBorder(boolean value)

  Sets the vertical border field value. has vertical border

### isVerticalBorder

    public boolean isVerticalBorder()

  has vertical border

  Returns:
    the vertical border field value.

### setBorder

    public void setBorder(boolean value)

  Sets the border field value. data table has a border

### isBorder

    public boolean isBorder()

  data table has a border

  Returns:
    the border field value.

### setShowSeriesKey

    public void setShowSeriesKey(boolean value)

  Sets the show series key field value. shows the series key

### isShowSeriesKey

    public boolean isShowSeriesKey()

  shows the series key

  Returns:
    the show series key field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.